<?php	
 	$userID = $_POST['UserID'];
 	$nombre = $_POST['nombre'];

 	include 'data_base_access/check_token.php';
?>
<head>
	<meta charset="UTF-8">
	<title> GETEPER</title>
	<link rel="shortcut icon" href="/geteper/favicon.ico">
	<link rel="stylesheet" href="/geteper/src/css/boton.css">
	<style>
		body{font-family: Arial; background-color: #18A383; box-sizing: border-box;}

		form{
			background-color: white;
			border-radius: 3px;
			color: #999;
			font-size: 0.8em;
			padding: 20px;
			margin: 0 auto;
			width: 300px;
		}

		input, textarea{
			border: 0;
			outline: none;
		}

		input[type=text]{
			width: 295px;
		}

		.field{
			border: solid 1px #ccc;
			padding: 10px;
		}

		.close{
			border-radius: 3px;
			padding: 5px 10px;
			text-decoration: none;
			text-shadow: 0 1px 0 rgba(255,255,255,0.3);
			box-shadow: 0 1px 1px rgba(0,0,0,0.3);
			margin:0px auto 0px 20px;
		}

		.field:focus{
			border-color: #18A383;
		}

		.center-content{
			text-align: center;
		}

		a:link, a:visited {
		  color: white;
		  text-align: center;
		  text-decoration: none;
		  display: inline-block;
		}

		a:hover, a:active {
		  background-color:
		}

	</style>
</head>
<body>
	<form action="">
		<div>
    		<p> Usuario: <?php echo $nombre ?>
    		<br>
				<a>
		    		<input type="button" class = "close btn-green" value="Cerrar sesión" onclick="volver_inicio();"/>
				</a>
			</p>
      	</div>
		<h1 style="text-align:center; color:black;"> Registrar nuevo usuario </h1>
		<p>rol: </p>
		<select id="rol" onchange="change_div(this.value);">
		    <option value="administrador">Administrador</option>
		    <option value="evaluador">Evaluador</option>
		    <option value="locutor">Locutor</option>
  		</select> <br/>

		<p>Nombre: (*)</p>
		<input id="nombre" type="text" class="field"> <br/>
		<input id="UserIDAdmin" type="text" class="field" style="display: none;" value = "<?php echo $_POST['UserID'];?>"> <br/>

		<div id = lista_pass style="display: inline-block;">
			<p>Contraseña: (*)</p>
			<input name="password" id="password" type="text" class="field"> <br/>
		</div>
		<input id="access_token" type="text" class="field" style="display: none;" value = "<?php echo $_POST['access_token'];?>">
		
		<p align="center">
			<a>
		    	<input id="boton" type="button" class="boton btn-green" value="Registrar usuario" onclick="check_token();"/>
			</a>
		</p>

	</form>
	<script>
		function change_div(rol){
    		if(rol == "administrador"){
    			document.getElementById('lista_pass').style.display="inline-block";
    		}else{
				document.getElementById('lista_pass').style.display="none";
    		}
    	}

    	function volver_inicio(){
    		eliminar_access_token();
			location.href = "/geteper/index.php"
		}
		function check_token(){
			userID = document.getElementById('UserIDAdmin').value;
			access_token = document.getElementById('access_token').value;
    		var xmlhttp = new XMLHttpRequest();
			xmlhttp.open("POST", "/geteper/src/data_base_access/check_token.php", false);
			xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
			xmlhttp.send("UserID="+userID+"&access_token="+access_token);
			if(xmlhttp.responseText.includes("ERROR")){
				message = "401: Autenticación requerida";
        		location.href="/getper/error/error.php?message="+message;
      		}else{
      			createUser();
      		}
		}

		function createUser(){
			userID = max_userID()+1;
			nombre = document.getElementById('nombre').value;
			rol = document.getElementById('rol').value;
			if(nombre){
				if(!user_exists(nombre)){
					if(rol=="administrador"){
						password = document.getElementById('password').value;
						if(password){
							var xmlhttp = new XMLHttpRequest();
							xmlhttp.open("POST", "/geteper/src/data_base_access/insert_user.php", false);
							xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
							xmlhttp.send("UserID="+userID+"&nombre="+nombre+"&rol="+rol+"&password="+password);
							alert("Usuario " + userID + " con nombre " + nombre + " creado satisfacctoriamente")
							volver_inicio();
						}else{
							alert("Introduzca una contraseña")
						}
					}else{
						var xmlhttp = new XMLHttpRequest();
						xmlhttp.open("POST", "/geteper/src/data_base_access/insert_user.php", false);
						xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
						xmlhttp.send("UserID="+userID+"&nombre="+nombre+"&rol="+rol);
						alert("Usuario " + userID + " con nombre " + nombre + " creado satisfacctoriamente")
						volver_inicio();
					}
				}else{
				alert("El nombre introducido ya le corresponde a un usuario")
				}
			}
			else{
					alert("Introduzca un nombre");
			}
    	}
    	function max_userID(){
    		var xmlhttp;
      		var maximo = 0;
      		xmlhttp=new XMLHttpRequest();
      		xmlhttp.open("GET", "/geteper/src/data_base_access/get_maxUserID.php", false);
      		xmlhttp.send();
      		if(xmlhttp.responseText){
        		maximo = parseInt(xmlhttp.responseText);
      		}else{maximo = 0;}
      			return maximo;
    	}
    	function eliminar_access_token(){
    		userID = document.getElementById('UserIDAdmin').value;
    		var xmlhttp;
      		xmlhttp=new XMLHttpRequest();
      		xmlhttp.open("POST", "/geteper/src/data_base_access/delete_access_token.php", false);
      		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      		xmlhttp.send("UserID="+userID);
    	}
    	function user_exists(nombre){
    		exists = false;
    		var xmlhttp;
      		xmlhttp=new XMLHttpRequest();
      		xmlhttp.open("POST", "/geteper/src/data_base_access/user_exists.php", false);
      		xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      		xmlhttp.send("nombre="+nombre);
      		if(xmlhttp.responseText){
      			if(xmlhttp.responseText!=-2){
					exists = true;
      			}
      		}
      		return exists;
    	}
	</script>	
</body>
</html>


