<?php
  include 'data_base_access/header.php';
  $userID = $_POST['UserID'];
  $nombre = $_POST['nombre'];
  $IDLista = $_POST['IDLista'];

  $sql_nombre_lista = "SELECT lista.nombre_lista FROM Lista lista WHERE lista.IDLista = $IDLista";
  $result_nombre_lista = mysqli_query($conexion, $sql_nombre_lista);
  while ($fila = mysqli_fetch_array($result_nombre_lista)){
    $nombre_lista=$fila['nombre_lista'];
  }

  if(isset($_POST['access_token'])){
    $token = $_POST['access_token'];
  }else{
    $message = "401: Autenticación requerida";
    header('Location: /geteper/error/error.php?message='.$message);
  }

  $sql_token = "SELECT token_valido.UserID FROM Token token_valido WHERE token_valido.UserID = $userID AND token_valido.token='$token' AND TIMESTAMPDIFF(minute,token_valido.fecha_creacion_token, now()) < 20";
  $result_token = mysqli_query($conexion, $sql_token);
  while ($fila = mysqli_fetch_array($result_token)){
    $token_valido="VALIDO";
  }
  if($token_valido!="VALIDO"){
    $message = "401: Autenticación requerida";
    header('Location: /geteper/error/error.php?message='.$message);
  }
?>

<!DOCTYPE html>

<html>
<head>
  <meta charset="UTF-8">
  <title> GETEPER</title>
    <link rel="shortcut icon" href="/geteper/favicon.ico">
    <link rel="stylesheet" href="/geteper/src/css/boton.css">
  <style type='text/css'>
    ul {
        list-style: none;
        padding-left: 0;
    }​

    li{
      display:inline-block
    }

    #recordingslist button {
        display:table;
        margin:0px auto 0px auto;
        margin-bottom: 10px; 
    }

    #recordingslist audio { 
      display:table;
      margin:0px auto 0px auto;
      margin-bottom: 10px; 
    }
    
    .close{
        border-radius: 3px;
        padding: 5px 10px;
        text-decoration: none;
        text-shadow: 0 1px 0 rgba(255,255,255,0.3);
        box-shadow: 0 1px 1px rgba(0,0,0,0.3);
        margin:0px auto 0px 0px;
      }

    body{font-family: Arial; background-color: #18A383; box-sizing: border-box;}

    form{
      background-color: white;
      border-radius: 3px;
      color: #999;
      font-size: 0.8em;
      padding: 40px;
      margin: 0 auto;
      width: 500px;
    }
  </style>
</head>
<body>
  <form action="">
   <div>
      <p> Usuario: <?php echo $nombre ?>
      <br>
        <a>
            <input type="button" class = "close btn-green" value="Cerrar sesión" onclick="volver_inicio();"/>
        </a>
        <div style="margin: 0px 0px auto auto; text-align: center;"> 
              ID de la lista:
              <input id="IDLista" type="text" class="field" value = "<?php echo $_POST['IDLista']; ?>" readonly style="width: 15px;text-align: center;">
            </div>
      </p>
    </div>
    <h1 style="text-align:center; color:black;"> Grabación: <?php echo $nombre_lista ?> </h1>
    <input id="salir_antes" type="text" class="field" value = true style="display: none;" readonly>
    <input id="UserID" type="text" class="field" value = "<?php echo $_POST['UserID']; ?>" style="display: none;" readonly>
    <input id="access_token" type="text" class="field" value = "<?php echo $_POST['access_token']; ?>" style="display: none;" readonly>
    <p id="notas_locutor" style="text-align:center;"></p> 
    <h1 id="palabra_actual"></h1>
    <p id="texto_opcional"></p>
    <button id = "recordButton" type = "button" onclick="startRecording();">Graba!</button>
    <button id = "stopButton" type = "button" onclick="stopRecording();" disabled>Para.</button>
    
    <h2>Grabaciones</h2>
    <ul id="recordingslist"></ul>

    <script>

    function volver_inicio(){
      if(document.getElementById("salir_antes").value == 'true'){
        eliminar_access_token();
        location.href = "/geteper/index.php"
      }else{
        alert("Debe grabar todas las palabras")
      }
    }

    function check_token(){
      userID = document.getElementById('UserID').value;
      access_token = document.getElementById('access_token').value;
        var xmlhttp = new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/check_token.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("UserID="+userID+"&access_token="+access_token);
      if(xmlhttp.responseText.includes("ERROR")){
        message = "401: Autenticación requerida";
        location.href="/geteper/error/error.php?message="+message;
        return false;
      }else{
        return true;
      }
    }

    function eliminar_access_token(){
      userID = document.getElementById('UserID').value;
      var xmlhttp;
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/delete_access_token.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("UserID="+userID);
    }

    function startRecording() {
      if(check_token()){
        var constraints = { audio: true, video:false };
        recordButton.disabled = true;
        stopButton.disabled = false;
        navigator.mediaDevices.getUserMedia(constraints).then(function(stream) {
          audioContext = new AudioContext();
          gumStream = stream;
          input = audioContext.createMediaStreamSource(stream);
          rec = new Recorder(input,{numChannels:1});
          rec.record();
        }).catch(function(err) {
          console.log("FALLO");
          recordButton.disabled = false;
          stopButton.disabled = true;
        });
      }
    }

    function stopRecording() {
      rec.stop();
      stopButton.disabled = true;
      recordButton.disabled = false;
      rec.exportWAV(createDownloadLink);
      rec.clear();
    }

    function get_notas_locutor(IDLista) {
      var xmlhttp;
      var contenidosRecibidos = "";
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/get_notas_locutor.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("IDLista="+IDLista);
      if(xmlhttp.responseText){
        contenidosRecibidos = xmlhttp.responseText;
        document.getElementById("notas_locutor").innerHTML = contenidosRecibidos;
      }else{alert("No notes")}
    }

    function createDownloadLink(blob) {
      document.getElementById("salir_antes").value = 'false';
        var url = URL.createObjectURL(blob);
        var li = document.createElement('li');
        var au = document.createElement('audio');
        // var hf = document.createElement('a'); //Enlace descarga
        
        au.controls = true;
        au.src = url;
        li.appendChild(au);
        var button = document.createElement('button');

        var UserID = parseInt(document.getElementById("UserID").value);
        var word = palabrasRecibidas[indice_palabras]["palabra"];

        button.innerHTML = "Guardar elemento / Ir a la siguiente";

        var ruta = ""
        button.onclick = function(){
          var xhr=new XMLHttpRequest();
          xhr.onload=function(e) {
            if(this.readyState === 4) {
                console.log("Server returned: ",e.target.responseText);
                ruta = (e.target.responseText).replace("\n","");
            }
          };
          var fd=new FormData();
          fd.append("audio_data",blob, word+"_"+IDLista+"_"+sessionID);
          xhr.open("POST","/geteper/src/data_base_access/upload.php",false);
          xhr.send(fd);
          var audio = ruta;
          insertRecord(UserID, word, IDLista, sessionID, audio);
          
          button.disabled = true;

          indice_palabras = indice_palabras+1;
          if(indice_palabras < palabrasRecibidas.length){
            new_palabra = palabrasRecibidas[indice_palabras]["palabra"];
            new_texto = palabrasRecibidas[indice_palabras]["texto_opcional"];
            document.getElementById("palabra_actual").innerHTML=new_palabra+". ("+(indice_palabras+1)+" de "+palabrasRecibidas.length+")";
            if(new_texto){
              document.getElementById("texto_opcional").innerHTML=new_texto;
            }
          }else{
            alert("Has acabado con todas las palabras, tus grabaciones se han guardado en la sesión "+sessionID);
            document.getElementById("salir_antes").value = true;
            volver_inicio(); 
          }

          document.getElementById("recordingslist").innerHTML = null;
          return false;
        }
        li.appendChild(button);
        recordingslist.appendChild(li);
    }

    function insertRecord(UserID, palabra, IDLista, sessionID, audio){
      var xmlhttp = new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/insert_audio.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("UserIDlocutor="+UserID+"&palabra="+palabra+"&IDLista="+IDLista+"&sessionID="+sessionID+"&audio="+audio);
    }

    function getWordList(IDLista) {
      var xmlhttp;
      var contenidosRecibidos = new Array();
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/get_word_list.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("IDLista="+IDLista);
      if(xmlhttp.responseText){
        contenidosRecibidos = JSON.parse(xmlhttp.responseText);
      }else{alert("No word list")}
      return contenidosRecibidos;
    }
    function anterior_session_id(){
      var xmlhttp;
      var maximo = 0;
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("GET", "/geteper/src/data_base_access/get_sessionID.php", false);
      xmlhttp.send();
      if(xmlhttp.responseText){
        maximo = parseInt(xmlhttp.responseText);
      }else{maximo = 0;}
      return maximo;
    }

    window.onload = function init() {
      try {       
        URL = window.URL || window.webkitURL;

        var AudioContext = window.AudioContext || window.webkitAudioContext;

        var audioContext;
        var gumStream;   
        var rec;     
        var input;

        var recordButton = document.getElementById("recordButton");
        var stopButton = document.getElementById("stopButton");

        recordButton.disabled = false;
        stopButton.disabled = true;

      } catch (e) {
        alert('No web audio support para este navegador!');
      }
      sessionID = parseInt(anterior_session_id()) + 1;
      IDLista = parseInt("<?php echo $_POST['IDLista']; ?>");
      if(!IDLista){alert("IDLista missing");}
      palabrasRecibidas = getWordList(IDLista);
      document.getElementById("palabra_actual").innerHTML=palabrasRecibidas[0]["palabra"]+". ("+1+" de "+palabrasRecibidas.length+")";
      if(palabrasRecibidas[0]["texto_opcional"]){
        document.getElementById("texto_opcional").innerHTML=palabrasRecibidas[0]["texto_opcional"];
      }
      indice_palabras = 0;
      get_notas_locutor(IDLista);
      
    };
    </script>

  <script src="/geteper/src/lib/recorder.js"></script>
</form>
</body>
</html>
<!-- Cosas que mejorar:
  1. Encontrar una forma mejor de acceder a los datos de la base de datos.
  2. Añadir el campo "texto opcional" debajo de la palabra
-->

