<?php
  include 'data_base_access/header.php';
  
  $userID = $_POST['UserID'];
  $nombre = $_POST['nombre'];

  if(isset($_POST['access_token'])){
    $token = $_POST['access_token'];
  }else{
    $message = "401: Autenticación requerida";
    header('Location: /geteper/error/error.php?message='.$message);
  }

  $sql_token = "SELECT token_valido.UserID FROM Token token_valido WHERE token_valido.UserID = $userID AND token_valido.token='$token' AND TIMESTAMPDIFF(minute,token_valido.fecha_creacion_token, now()) < 20";
  $result_token = mysqli_query($conexion, $sql_token);
  while ($fila = mysqli_fetch_array($result_token)){
    $token_valido="VALIDO";
  }
  if($token_valido!="VALIDO"){
    $message = "401: Autenticación requerida";
    header('Location: /geteper/error/error.php?message='.$message);
  }
?>

<!DOCTYPE html>

<html>
<head>
  <meta charset="UTF-8">
  <title> GETEPER</title>
  <link rel="shortcut icon" href="/geteper/favicon.ico">
  <link rel="stylesheet" href="/geteper/src/css/boton.css">
	<style type='text/css'>
	    ul {
	        list-style: none;
	        padding-left: 0;
	    }​

      input[value="Cerrar sesión"]{
        border: 0;
        outline: none;
        width: 280px;
      }

	    li{
	      display:inline-block
	    }

      .close{
        border-radius: 3px;
        padding: 5px 10px;
        text-decoration: none;
        text-shadow: 0 1px 0 rgba(255,255,255,0.3);
        box-shadow: 0 1px 1px rgba(0,0,0,0.3);
        margin:0px auto 0px 20px;
      }

	    #recordingslist audio { 
	      display:table;
	      margin:0px auto 0px auto;
	      margin-bottom: 10px; 
        text-align: "center";
	    }

	    body{font-family: Arial; background-color: #18A383; box-sizing: border-box;}

	    form{
	      background-color: white;
	      border-radius: 3px;
	      color: #999;
	      font-size: 0.8em;
	      padding: 40px;
	      margin: 0 auto;
	      width: 500px;
	    }
	  </style>
</head>
<body>
	<form action="">
      <div>
        <p> Usuario: <?php echo $nombre ?>
          <br>
          <a>
              <input type="button" class = "close btn-green" value="Cerrar sesión" onclick="volver_inicio();"/>
          </a>
        </p>
      </div>
	    <h1 style="text-align:center; color:black;"> Gestión de sesiones </h1>
      <div style="display:inline; margin: 2px 2px 4px auto; text-align: center;">
  	    <div style="margin: 2px 10px auto auto; text-align: center;"> 
  	    	<input id="UserID" type="text" class="field" value = "<?php echo $_POST['UserID']; ?>" readonly style="display: none;">
  		  </div>
  		  <div id = "list_id" style="margin: 2px 2px 4px auto;text-align: center;">
  		    ID de la lista:
  		    <select id="IDLista" name = "IDLista" onchange="change_session_div()" style="display:inline; margin: 2px 4px 4px 2px;">
  		    </select>
    	    <div id = "session_id" style="display: none; text-align: center; margin: 2px 4px 4px 2px;">
    		    ID de la sesion:
    		    <select id="sessionID" name = "sessionID" onchange="change_word_div()">
    		    </select>
    	    </div><br>
          <p align="center">
            <a>
              <input id="boton" type="button" class="close btn-green" value="Exportar las evaluaciones de la lista" onclick="exportar_lista();"/>
              <input id="boton" type="button" class="close btn-green" value="Exportar las evaluaciones de la sesión" onclick="exportar_sesion();"/>
            </a>
          </p>
          Fecha de locución de la sesión:
            <div id="date"></div>
        </div>
      </div>
      <input id="access_token" type="text" class="field" value = "<?php echo $_POST['access_token']; ?>" style="display: none;" readonly>
      <p align="center">
        <a>
          <input id="boton" type="button" class="close btn-green" value="Eliminar lista de elementos" onclick="eliminar_lista();"/>
          <input id="boton" type="button" class="close btn-green" value="Eliminar sesión de locución" onclick="eliminar_sesion();"/>
        </a>
      </p>
	    <h2 style="margin: 2px 2px 4px auto;">Grabaciones</h2>

	    <ul id="recordingslist"></ul>
	</form>

    <script>

    var audio_context;
    var recorder;

    function startUserMedia(stream) {
      audio_context = new AudioContext;
      var input = audio_context.createMediaStreamSource(stream);
    }

    function volver_inicio() {
      eliminar_access_token();
      location.href ="/geteper/index.php";
    }

    function check_token(){
      userID = document.getElementById('UserID').value;
      access_token = document.getElementById('access_token').value;
        var xmlhttp = new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/check_token.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("UserID="+userID+"&access_token="+access_token);
      if(xmlhttp.responseText.includes("ERROR")){
        message = "401: Autenticación requerida";
        location.href="/geteper/error/error.php?message="+message;
        return false;
      }else{
        return true;
      }
    }

    function eliminar_access_token(){
      userID = document.getElementById('UserID').value;
      var xmlhttp;
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/delete_access_token.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("UserID="+userID);
    }

    function change_word_div() {
      document.getElementById("recordingslist").innerHTML = null;
      IDLista = document.getElementById("IDLista").value
      sessionID = document.getElementById("sessionID").value
      palabras = get_word_list(IDLista,sessionID);
      if(palabras.length > 0){
        for (var i = 0; i < palabras.length; i++) {
          palabra = palabras[i]["palabra"];
          get_audio(palabra,sessionID,IDLista);
        }
        date = ""
        xmlhttp_fecha=new XMLHttpRequest();
        xmlhttp_fecha.open("POST", "/geteper/src/data_base_access/get_audio_date.php", false);
        xmlhttp_fecha.setRequestHeader("Content-type","application/x-www-form-urlencoded");
        palabra = palabra
        IDLista=document.getElementById("IDLista").value;
        sessionID=document.getElementById("sessionID").value;
        xmlhttp_fecha.send("palabra="+palabra+"&IDLista="+IDLista+"&sessionID="+sessionID);
        if(xmlhttp_fecha.responseText){
          date = xmlhttp_fecha.responseText;
        }
        document.getElementById("date").innerHTML = date
      }
    }

    function get_audio(palabra,sessionID,IDLista){
      palabra = palabra;
      var xmlhttp;
      var audio_path = ""
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/get_audio.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("palabra="+palabra+"&IDLista="+IDLista+"&sessionID="+sessionID);
      if(xmlhttp.responseText){
        audio_path = xmlhttp.responseText;
      }else{alert("No audio path")}
      var li = document.createElement('li');
      var au = document.createElement('audio');
      var word_div = document.createElement('div');
      word_div.style.display = 'table';
      word_div.style.margin='0px auto 20px auto';
      word_div.style.textAlign="center";
      word_div.style.borderStyle ="solid";
      word_div.style.borderColor ="#F4F8F6";
      var p =document.createTextNode(palabra);
      url = "../"+audio_path;
      au.controls = true;
      au.src = url;
      li.appendChild(au);

      var button = document.createElement('button');
      button.innerHTML = "Eliminar audio";

      button.onclick = function(){
        if(check_token()){
          var respuesta = confirm("Confirme el borrado del audio de la palabra "+palabra+" de la sesión "+sessionID+" en la lista "+IDLista)
          if(respuesta){
            xmlhttp=new XMLHttpRequest();
            xmlhttp.open("POST", "/geteper/src/data_base_access/eliminar_audio.php", false);
            xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xmlhttp.send("ruta="+audio_path);
            if(parseInt(xmlhttp.responseText)!=(-2)){
              alert("Audio de la palabra "+palabra+" de la sesión "+sessionID+" en la lista "+IDLista+" eliminado correctamente");
              location.reload();
            }else{alert("No se ha podido eliminar el audio")}
          }
          else{
            location.reload();
          }
          button.disabled = true;
        }
      }

      word_div.appendChild(p);
      word_div.appendChild(li);
      word_div.appendChild(button);

      recordingslist.appendChild(word_div);
    }
    function eliminar_sesion() {
      if(check_token()){
        IDLista = document.getElementById("IDLista").value
        sessionID = document.getElementById("sessionID").value
        if(sessionID){
          palabras = get_word_list(IDLista,sessionID)
          if(palabras.length > 0){
            var respuesta_borrado = confirm("Confirme el borrado de la sesión "+sessionID+" en la lista "+IDLista)
            if(respuesta_borrado){
              for (var i = 0; i < palabras.length; i++) {
                palabra = palabras[i]["palabra"];
                var audio_path = ""
                xmlhttp=new XMLHttpRequest();
                xmlhttp.open("POST", "/geteper/src/data_base_access/get_audio.php", false);
                xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
                xmlhttp.send("palabra="+palabra+"&IDLista="+IDLista+"&sessionID="+sessionID);
                if(xmlhttp.responseText){
                  audio_path = xmlhttp.responseText;
                }else{alert("No audio path")}        
                xmlhttp=new XMLHttpRequest();
                xmlhttp.open("POST", "/geteper/src/data_base_access/eliminar_audio.php", false);
                xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
                xmlhttp.send("ruta="+audio_path);
              }
              alert("Audios de la sesión "+sessionID+" y la lista "+IDLista+" eliminados correctamente");
              location.reload();
            }
            else{
              location.reload();
            }
          }
        }else{
          alert("No hay sesiones")
        }
      }
    }

    function eliminar_lista() {
      if(check_token()){
        IDLista = document.getElementById("IDLista").value
        if(IDLista){
          var respuesta_borrado = confirm("Confirme el borrado de la lista "+IDLista)
          if(respuesta_borrado){
            xmlhttp=new XMLHttpRequest();
            xmlhttp.open("POST", "/geteper/src/data_base_access/eliminar_lista.php", false);
            xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xmlhttp.send("IDLista="+IDLista);
            alert("Lista "+IDLista+" eliminada correctamente");
            location.reload();
          } 
        }else{
          alert("No hay listas disponibles")
        }
      }
    }

    function refresh_sessionID(IDLista) {
      document.getElementById("date").innerHTML = null;
    	document.getElementById("sessionID").options.length = 0;
	   	var xmlhttp;
	    var contenidosRecibidos = "";
	    xmlhttp=new XMLHttpRequest();
	    xmlhttp.open("POST", "/geteper/src/data_base_access/get_sessionsID_byList.php", false);
	    xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	    xmlhttp.send("IDLista="+IDLista);
	    if(xmlhttp.responseText){
	    	contenidosRecibidos = JSON.parse(xmlhttp.responseText);
	    	for (var i = 0; i < contenidosRecibidos.length; i++) {
	    		option_value = parseInt(contenidosRecibidos[i]["sessionID"]);
	    		var option = document.createElement('option');
	        	option.value = option_value;
	        	option.id="option_ses"+option_value;
	        	option.name="option_ses"+option_value;
	        	option.text=option_value;
	        	document.getElementById("sessionID").appendChild(option);
	    	}
	    }else{alert("No lists")}
    }
    function get_IDLista() {
	   	var xmlhttp;
	    var contenidosRecibidos = "";
	    xmlhttp=new XMLHttpRequest();
	    xmlhttp.open("GET", "/geteper/src/data_base_access/get_IDLists.php", false);
	    xmlhttp.send();
	    if(xmlhttp.responseText){
	    	contenidosRecibidos = JSON.parse(xmlhttp.responseText);
	    	for (var i = 0; i < contenidosRecibidos.length; i++) {
	    		option_value = parseInt(contenidosRecibidos[i]["IDLista"]);
	    		var option = document.createElement('option');
	        	option.value = option_value;
	        	option.id="option_"+option_value;
	        	option.name="option_"+option_value;
	        	option.text=option_value;
	        	IDLista.appendChild(option);
	    	}
	    }else{alert("No lists")}
    }
    function change_session_div(){
    	document.getElementById('session_id').style.display="inline-block";
    	refresh_sessionID(parseInt(document.getElementById('IDLista').value));
    	change_word_div(parseInt(document.getElementById('sessionID').value));
    }

    function get_word_list(IDLista,sessionID){
      var xmlhttp;
      var contenidosRecibidos = "";
      xmlhttp=new XMLHttpRequest();
      xmlhttp.open("POST", "/geteper/src/data_base_access/get_word_list_by_sessionID.php", false);
      xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
      xmlhttp.send("IDLista="+IDLista+"&sessionID="+sessionID);
      if(xmlhttp.responseText){
        contenidosRecibidos = JSON.parse(xmlhttp.responseText);
      }else{alert("No word list")}
      return contenidosRecibidos;
    }

    function exportar_sesion(){
      if(check_token()){
        userID= document.getElementById("UserID").value
        IDLista = document.getElementById("IDLista").value
        sessionID = document.getElementById("sessionID").value
        if(IDLista && sessionID){
          var respuesta = confirm("¿Quiere exportar la sesión "+sessionID+" de la lista "+IDLista+"?")
          if(respuesta){
            var xmlhttp;
            xmlhttp=new XMLHttpRequest();
            xmlhttp.open("POST", "/geteper/src/data_base_access/export_session_by_list.php", false);
            xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xmlhttp.send("IDLista="+IDLista+"&sessionID="+sessionID);
            if(xmlhttp.responseText){
              respuesta = (xmlhttp.responseText).replace("\n","");
              console.log(respuesta)
              if(respuesta!="No hay evaluaciones para esta sesión."){
                var hf = document.createElement('a');
                var ruta = (respuesta).replace("\n","")
                hf.href="../files/"+ruta;
                hf.download=respuesta;
                hf.click();
                hf.remove();
                alert("Descarga iniciada...");
              }else{
                alert(respuesta);
              }
            }
          }
        }else{
          alert("No hay sesiones para esta lista");
        }
      }
    }

    function exportar_lista(){
      if(check_token()){
        IDLista = document.getElementById("IDLista").value
        userID= document.getElementById("UserID").value
        sessionID = document.getElementById("sessionID").value
        if(IDLista && sessionID){
          var respuesta = confirm("¿Quiere exportar todas las sesiones de la lista "+IDLista+"?")
          if(respuesta){
            var xmlhttp;
            xmlhttp=new XMLHttpRequest();
            xmlhttp.open("POST", "/geteper/src/data_base_access/export_list.php", false);
            xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xmlhttp.send("IDLista="+IDLista);
            if(xmlhttp.responseText){
              respuesta_array = (xmlhttp.responseText).replace("\n","");
              respuesta = respuesta_array.split(";")
              for (var i = 0; i < respuesta.length; i++) {
                if(respuesta[i].length>0){
                  if(respuesta[i].length>2){
                    var hf = document.createElement('a');
                    var ruta = "../files/"+respuesta[i].replace("\n","")
                    hf.href=ruta;
                    hf.download=respuesta[i];
                    hf.click();
                    hf.remove();
                  }
                }
              }
            }
          }else{
            alert("No hay sesiones para esta lista");
          }
        }
      }
    }

    window.onload = function init() {
      try {
        window.AudioContext = window.AudioContext || window.webkitAudioContext;
        navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia;
        window.URL = window.URL || window.webkitURL;
        get_IDLista();
        if(document.getElementById("IDLista").value){
        	change_session_div();
        	if(document.getElementById("sessionID").value){
        		change_word_div();
        	}
        }
      } catch (e) {
        alert('No hay sessionID para esta sesión');
      }
      
    };
	</script>
</body>
</html>
